%define name	qlandkarte
%define oname	QLandkarte
%define version	0.6.0
%define over	2007.12.22
%define release %mkrel 1

Name: 	 	%{name}
Summary: 	Views and transfers data to a Garmin GPS receiver
Version: 	%{version}
Release: 	%{release}

Source:		%{oname}.%{over}.tar.bz2
URL:		http://qlandkarte.sourceforge.net/
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	qt4-devel >= 4.2.0
BuildRequires:	libproj-devel
BuildRequires:	libusb-devel

%description
View and upload map files, track and waypoint data to your Garmin GPS receiver.

%prep
%setup -q -n %oname

%build
export QTDIR=%_prefix/lib/qt4
%_prefix/lib/qt4/bin/qmake QLandkarte.pro
# paralell make fails
make CXXFLAGS="$RPM_OPT_FLAGS -fPIC"
										
%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=%buildroot
ln -s %_bindir/%oname %buildroot/%_bindir/%name

#menu

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{oname}
Comment=Garmin GPS manager
Exec=%{_bindir}/%{oname} 
Icon=communications_section
Terminal=false
Type=Application
StartupNotify=true
Categories=Qt;Utility;DataVisualization;Geography;X-MandrivaLinux-MoreApplications-Communications;
EOF

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc index.html changelog.txt
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_prefix}/lib/%name


%changelog
* Sun Jan 27 2008 Andreas Hasenack <andreas@mandriva.com> 0.6.0-1mdv2008.1
+ Revision: 158902
- updated to version 0.6.0 (2007.12.22)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request
    - do not harcode icon extension
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jun 07 2007 Austin Acton <austin@mandriva.org> 0.5.1-1mdv2008.0
+ Revision: 36176
- fix x86_64 build
- fix menu
- Import qlandkarte

